librtmp-dev_2.4+20151223.gitfa8646d-1build1_amd64.deb


Advertisement

Description

librtmp-dev - toolkit for RTMP streams (development files)

Property Value
Distribution Ubuntu 16.04 LTS (Xenial Xerus)
Repository Ubuntu Main amd64
Package filename librtmp-dev_2.4+20151223.gitfa8646d-1build1_amd64.deb
Package name librtmp-dev
Package version 2.4+20151223.gitfa8646d
Package release 1build1
Package architecture amd64
Package type deb
Category libdevel
Homepage http://rtmpdump.mplayerhq.hu/
License -
Maintainer Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Download size 57.37 KB
Installed size 221.00 KB
A small dumper for media content streamed over the RTMP protocol (like BBC's
iPlayer high quality streams). Supplying an RTMP URL will result in a dumped
flv file, which can be played/transcoded with standard tools.
This package contains the development libraries, header files needed by
programs that want to compile with librtmp.

Alternatives

Package Version Architecture Repository
librtmp-dev_2.4+20151223.gitfa8646d-1ubuntu0.1_i386.deb 2.4+20151223.gitfa8646d i386 Ubuntu Updates Main
librtmp-dev_2.4+20151223.gitfa8646d-1ubuntu0.1_amd64.deb 2.4+20151223.gitfa8646d amd64 Ubuntu Updates Main
librtmp-dev_2.4+20151223.gitfa8646d-1build1_i386.deb 2.4+20151223.gitfa8646d i386 Ubuntu Main
librtmp-dev - - -

Requires

Name Value
libgmp-dev -
libgnutls28-dev -
librtmp1 = 2.4+20151223.gitfa8646d-1build1
nettle-dev -
zlib1g-dev -

Download

Type URL
Mirror archive.ubuntu.com
Binary Package librtmp-dev_2.4+20151223.gitfa8646d-1build1_amd64.deb
Source Package rtmpdump

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install librtmp-dev deb package:
    # sudo apt-get install librtmp-dev

Files

Path
/usr/include/librtmp/amf.h
/usr/include/librtmp/http.h
/usr/include/librtmp/log.h
/usr/include/librtmp/rtmp.h
/usr/lib/x86_64-linux-gnu/librtmp.a
/usr/lib/x86_64-linux-gnu/librtmp.so
/usr/lib/x86_64-linux-gnu/pkgconfig/librtmp.pc
/usr/share/doc/librtmp-dev/changelog.Debian.gz
/usr/share/doc/librtmp-dev/copyright

Changelog

2016-02-17 - Matthias Klose <doko@ubuntu.com>
rtmpdump (2.4+20151223.gitfa8646d-1build1) xenial; urgency=medium
* No-change rebuild for gnutls transition.
2016-01-18 - Sebastian Ramacher <sramacher@debian.org>
rtmpdump (2.4+20151223.gitfa8646d-1) unstable; urgency=medium
* New upstream snapshot fixing potential integer overflow.
* debian/rules:
- Build with -Wl,--as-needed.
- Use include files from dpkg-dev for DEB_ variables.
* debian/control:
- Bump Standards-Version.
- Bump Priority to optional.
- Update Vcs-Browser.
- Add myself to Uploaders.
- Remove obsolete Pre-Depends.
2015-03-29 - Sebastian Ramacher <sramacher@debian.org>
rtmpdump (2.4+20150115.gita107cef-1) unstable; urgency=medium
* Team upload.
* New upstream snapshot fixing multiple issues when streaming to YouTube and
Wowza:
- Fix RTMP streams with timestamps longer than 24 bits.
- Fix authentication with Wowza 4.x servers.
* debian/patches/03_suppress_warning.diff: Suppress warning about 24-bit
timestamps. Thanks to William King.
2014-11-11 - Sebastian Ramacher <sramacher@debian.org>
rtmpdump (2.4+20131018.git79459a2-5) unstable; urgency=medium
* Team upload.
* debian/control:
- Add missing libgmp-dev and zlib1g-dev to Build-Depends. They are pulled
in indirectly but are used in rtmpdump.
- Add missing libgnutls28-dev and zlib1g-dev to librtmp-dev's Depends.
They are needed by the pkg-config file. (Closes: #764133)
2014-07-19 - Reinhard Tartler <siretart@tauware.de>
rtmpdump (2.4+20131018.git79459a2-4) unstable; urgency=medium
* librtmp-dev: Depend on nettle-dev (Closes: #755314)
2014-06-22 - Reinhard Tartler <siretart@tauware.de>
rtmpdump (2.4+20131018.git79459a2-3) unstable; urgency=medium
[ Andreas Metzler ]
* 02_gnutls_requires.private.diff: In pkg-config file move gnutls, hogweed,
and nettle from Requires to Requires.private. librtmp's headers do not
expose these libraries.
* Drop librtmp-dev dependency on libgnutls-dev and nettle-dev.
Closes: #745216
[ Reinhard Tartler ]
* Rebuild against libgnutls28-dev (Closes: #752297)
* debian/control: Update VCS fields
2014-04-11 - Reinhard Tartler <siretart@tauware.de>
rtmpdump (2.4+20131018.git79459a2-2) unstable; urgency=low
* Depends on libgmp-dev and nettle-dev to librtmpdev (Closes: #744242)
2014-04-07 - Reinhard Tartler <siretart@tauware.de>
rtmpdump (2.4+20131018.git79459a2-1) unstable; urgency=low
* Merge new upstream version (Closes: #731094, #743830)
- New upstream is claimed to fix segfault: Closes: #656693, #655038
* Drop suggests on obsolete packages (Closes: #722584)
* Follow upstream's SONAME bump librtmp0->librtmp1. No API has been changed,
but is necessary because the layout of the RTMP struct was changed.
* Compile with hardening enabled
* Build depend on nettle-dev
2013-05-01 - Reinhard Tartler <siretart@tauware.de>
rtmpdump (2.4+20121230.gitdf6c518-1) unstable; urgency=low
[ Reinhard Tartler ]
* Imported Upstream version 2.4+20111222.git4e06e21
- upstream supports SOCKS proxys (Closes: #706113)
* revise package descriptions (Closes: #638664)
[ Colin Watson ]
* Use correct toolchain when cross-building (Closes: #695021)
2012-01-08 - Reinhard Tartler <siretart@tauware.de>
rtmpdump (2.4+20111222.git4e06e21-1) unstable; urgency=low
* Imported Upstream version 2.4+20111222.git4e06e21
* revise package descriptions (Closes: #638664)

See Also

Package Description
librtmp1_2.4+20151223.gitfa8646d-1build1_amd64.deb toolkit for RTMP streams (shared library)
libruby2.3_2.3.0-5ubuntu1_amd64.deb Libraries necessary to run Ruby 2.3
libsam-dev_2.3.5-3ubuntu1_amd64.deb cluster engine SAM library development
libsam4_2.3.5-3ubuntu1_amd64.deb cluster engine SAM library
libsamplerate0-dev_0.1.8-8_amd64.deb Development files for audio sample rate conversion
libsamplerate0_0.1.8-8_amd64.deb Audio sample rate conversion library
libsane-common_1.0.25+git20150528-1ubuntu2_all.deb API library for scanners -- documentation and support files
libsane-dev_1.0.25+git20150528-1ubuntu2_amd64.deb API development library for scanners [development files]
libsane-hpaio_3.16.3+repack0-1_amd64.deb HP SANE backend for multi-function peripherals
libsane_1.0.25+git20150528-1ubuntu2_amd64.deb API library for scanners
libsasl2-2_2.1.26.dfsg1-14build1_amd64.deb Cyrus SASL - authentication abstraction library
libsasl2-dev_2.1.26.dfsg1-14build1_amd64.deb Cyrus SASL - development files for authentication abstraction library
libsasl2-modules-db_2.1.26.dfsg1-14build1_amd64.deb Cyrus SASL - pluggable authentication modules (DB)
libsasl2-modules-gssapi-heimdal_2.1.26.dfsg1-14build1_amd64.deb Pluggable Authentication Modules for SASL (GSSAPI)
libsasl2-modules-gssapi-mit_2.1.26.dfsg1-14build1_amd64.deb Cyrus SASL - pluggable authentication modules (GSSAPI)
Advertisement
Advertisement